View Issue Details

IDProjectCategoryView StatusLast Update
0000899CaseTalk ModelerProjectpublic2016-06-01 13:38
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFutureFixed in Version8.8.1 
Summary0000899: Implement different project archive timeschedule
DescriptionWhen Project Archive is enabled, it creates an archive every time you decide to save your project. This may create a huge list of zip files. A different approach is needed over time.
Additional InformationApple's TimeMachine backup mechanism follows this scheme:
- Hourly backup for the past 24 hours
- Daily backups for the past month
- Weekly backups for the previous months

To have a more fine grained scheme, we could add:
- Backup upon save for the past hour.

If this scheme is implemented, the current code can remain, only an additional archive-cleanup is to be implemented whenever a project is opened, or a new archive is created.
TagsNo tags attached.

Relationships

related to 0000989 resolvedBCP Software Archive menu grouped display 

Activities

BCP Software

BCP Software

2016-03-03 15:01

administrator   ~0000531

Tool Options setting allow "Cleanup Archives'

All archives for the past hour
Hourly archives for the past 24 hours
Daily archives for the past month
Weekly archives for the past month
Monthly archives for the past year
Yearly archives forever

Issue History

Date Modified Username Field Change
2016-02-21 10:18 BCP Software New Issue
2016-02-21 10:18 BCP Software Status new => assigned
2016-02-21 10:18 BCP Software Assigned To => BCP Software
2016-03-03 14:59 BCP Software Status assigned => resolved
2016-03-03 14:59 BCP Software Fixed in Version => 9.0
2016-03-03 14:59 BCP Software Resolution open => fixed
2016-03-03 15:01 BCP Software Note Added: 0000531
2016-03-04 10:36 BCP Software Fixed in Version 9.0 => 8.8.1
2016-06-01 13:38 BCP Software Relationship added related to 0000989